## org.eclipse.uml2.uml
Interface StateInvariant

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, InteractionFragment, NamedElement, org.eclipse.emf.common.notify.Notifier

    public interface StateInvariant

extends InteractionFragment

A representation of the model object 'State Invariant'. A state invariant is a runtime constraint on the participants of the interaction. It may be used to specify a variety of different kinds of constraints, such as values of attributes or variables, internal or external states, and so on. A state invariant is an interaction fragment and it is placed on a lifeline.

The following features are supported:

- `Invariant`

See Also:
  `UMLPackage.getStateInvariant()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`Constraint` `createInvariant(java.lang.String name)` Creates a new `Constraint`,with the specified 'Name', and sets the 'Invariant' containment reference
`Constraint` `createInvariant(java.lang.String name, org.eclipse.emf.ecore.EClass eClass)` Creates a new `Constraint`, with the specified 'Name', and sets the 'Invariant' containment reference
`Constraint` `getInvariant()` Returns the value of the 'Invariant' containment reference.
`void` `setInvariant(Constraint value)` Sets the value of the '`Invariant`' containment reference

Methods inherited from interface org.eclipse.uml2.uml.InteractionFragment
`createGeneralOrdering, getCovered, getCovered, getCovereds, getEnclosingInteraction, getEnclosingOperand, getGeneralOrdering, getGeneralOrdering, getGeneralOrderings, setEnclosingInteraction, setEnclosingOperand`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getInvariant

    Constraint getInvariant()

  Returns the value of the 'Invariant' containment reference.

  This feature subsets the following features:

  - '`Owned Element`'
  A Constraint that should hold at runtime for this StateInvariant

  Returns:
    the value of the 'Invariant' containment reference.
  See Also:
    `setInvariant(Constraint)`, `UMLPackage.getStateInvariant_Invariant()`

### setInvariant

    void setInvariant(Constraint value)

  Sets the value of the '`Invariant`' containment reference.

  Parameters:
    `value` - the new value of the 'Invariant' containment reference.
  See Also:
    `getInvariant()`

### createInvariant

    Constraint createInvariant(java.lang.String name,
                               org.eclipse.emf.ecore.EClass eClass)

  Creates a new `Constraint`, with the specified 'Name', and sets the 'Invariant' containment reference.

  Parameters:
    `name` - The 'Name' for the new `Constraint`, or `null`.
    `eClass` - The Ecore class of the `Constraint` to create.
  Returns:
    The new `Constraint`.
  See Also:
    `getInvariant()`

### createInvariant

    Constraint createInvariant(java.lang.String name)

  Creates a new `Constraint`,with the specified 'Name', and sets the 'Invariant' containment reference.

  Parameters:
    `name` - The 'Name' for the new `Constraint`, or `null`.
  Returns:
    The new `Constraint`.
  See Also:
    `getInvariant()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.